Skip to main content
`Ctrl`+`K`

# label_propagation_communities

label_propagation_communities(G)

  Generates community sets determined by label propagation

  Finds communities in `G` using a semi-synchronous label propagation method [1]. This method combines the advantages of both the synchronous and asynchronous models. Not implemented for directed graphs.

  Parameters:
    G graph

      An undirected NetworkX graph.

  Returns:
    communities iterable

      A dict_values object that contains a set of nodes for each community.

  Raises:
    NetworkXNotImplemented

      If the graph is directed

  References

  [1]

  Cordasco, G., & Gargano, L. (2010, December). Community detection via semi-synchronous label propagation algorithms. In Business Applications of Social Network Analysis (BASNA), 2010 IEEE International Workshop on (pp. 1-8). IEEE.